summaryrefslogtreecommitdiff
path: root/src/testing/initialize_taler_system.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/testing/initialize_taler_system.sh')
-rwxr-xr-xsrc/testing/initialize_taler_system.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/src/testing/initialize_taler_system.sh b/src/testing/initialize_taler_system.sh
index 218de4bf..15e59988 100755
--- a/src/testing/initialize_taler_system.sh
+++ b/src/testing/initialize_taler_system.sh
@@ -138,6 +138,11 @@ taler-auditor-httpd -L INFO -c $CONF 2> taler-auditor-httpd.log &
echo " OK"
+echo -n "Wait RSA service to build keys..."
+( tail -f -n0 taler-exchange-secmod-rsa.log & ) | grep -q "Sending RSA SYNCED message"
+echo " done"
+
+echo -n "Waiting for the bank"
# Wait for bank to be available (usually the slowest)
for n in `seq 1 50`
do
@@ -145,7 +150,7 @@ do
sleep 0.2
OK=0
# bank
- wget --tries=1 --timeout=1 http://localhost:8082/ -o /dev/null -O /dev/null >/dev/null || continue
+ wget --waitretry=0 --timeout=1 http://localhost:8082/ -o /dev/null -O /dev/null >/dev/null || continue
OK=1
break
done